# Uses of Interface
org.eclipse.pde.core.plugin.IPluginImport

Packages that use IPluginImport
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IPluginImport in org.eclipse.pde.core.plugin

Methods in org.eclipse.pde.core.plugin that return IPluginImport
Modifier and Type
Method
Description
`IPluginImport`
IPluginModelFactory.`createImport()`
Creates a new plug-in import
`IPluginImport[]`
IPluginBase.`getImports()`
Returns imports defined in this plug-in.
Methods in org.eclipse.pde.core.plugin with parameters of type IPluginImport
Modifier and Type
Method
Description
`void`
IPluginBase.`add(IPluginImport pluginImport)`
Adds a new plug-in import to this plugin.
`void`
IPluginBase.`remove(IPluginImport pluginImport)`
Removes an import from the plugin.
`void`
IPluginBase.`swap(IPluginImport import1, IPluginImport import2)`
Swaps the positions of the plug-ins provided in in the dependency list.